Subject: bug#68992: 13.3.0; not displaying \newcommand defintions

From: Arash Esbati <[email-masked]>
Date: Wed, 06 Mar 2024 21:05:18 +0100

Ikumi Keita <[email-masked]> writes:

> Hi Sabarish,
>
>>>>>> Sabarish V M <[email-masked]> writes:
>> The preview latex package does not render the "\newcommand" macros
>> properly.
>
>> Example,
>
>> \documentclass{template}
>> \title{Some title}
>> \author{XXX}
>> \begin{document}
>> \maketitle
>
>> \include{symbols} % The file contains all the macros defined
>> % It contains,
>> % \newcommand{\kb}{k_{\mathrm{B}}}
>> % \renewcommand{\d}{\mathrm{d}}
>
>> From classical Boltzmann statistics we know that the probability for finding any
>> particle in a given state $i$ is,
>> \[ \frac{N_i}{N} = \frac{\exp \left( - E_i / \kb T \right)}{Z\kb \d } \]
>> \include{chapters/01.introduction}
>> \include{chapters/appendix}
>
>> \end{document}
>
> This document doesn't typeset for me because my TeX Live 2023 doesn't
> have "template" class. After I replaced
> \documentclass{template}
> with
> \documentclass{article}
> , I can both typeset and use preview-latex for the files quoted below.
> Hence I suppose that the issue isn't related directly to \newcommand and
> suspect there is something incompatible with preview-latex in
> the non-standard class file template.cls.
>
> --- foo.tex ----------------------------------------------------------
> \documentclass{article}
> \title{Some title}
> \author{XXX}
> \begin{document}
> \maketitle
>
> \include{symbols}
>
> From classical Boltzmann statistics we know that the probability for finding any
> particle in a given state $i$ is,
> \[ \frac{N_i}{N} = \frac{\exp \left( - E_i / \kb T \right)}{Z\kb \d } \]
>
> \end{document}
> ----------------------------------------------------------------------
>
> --- symbols.tex ------------------------------------------------------
> \newcommand{\kb}{k_{\mathrm{B}}}
> \renewcommand{\d}{\mathrm{d}}
>
> %%% Local Variables:
> %%% mode: LaTeX
> %%% TeX-master: "foo"
> %%% End:
> ----------------------------------------------------------------------

No further comments, therefore I'm closing this report.  We can reopen
if necessary.

Best, Arash